[moin-user] Help testing moin 1.9.11

Lars Kruse lists at sumpfralle.de
Tue Oct 27 19:15:57 EDT 2020


Hello Thomas,


Am Mon, 26 Oct 2020 22:45:33 +0100
schrieb Thomas Waldmann <tw at waldmann-edv.de>:

> I'll make a new MoinMoin Wiki maintenance release [..]

this is great - thank you!


> If you use moin 1.9 or if you maintain a distribution package, please
> help testing.

I use the Debian package (1.9.9-1) in multiple environments and I would
be glad to help with testing.

In order to test the changes since 1.9.9, I quickly tried to generate a patch
suitable for the Debian packaging:
 git diff 1.9.9.. -- $(find MoinMoin -type f | grep -vE "^MoinMoin/(support/pygments|web/static/htdocs/applets/FCKeditor|support/werkzeug|support/parsedatetime|support/passlib)" | grep -v "/_tests/")
(the excluded files are not part of the Debian package)

But the above changeset fails to apply cleanly. This is probably caused by
patches included in the Debian package.

Cleaning up these collisions manually seems to be doable (only a few files),
but before I do this, I would like to hear opinions, whether this approach
would be useful at all.
I could imagine that the changes regarding the expected 3rd party tools
(e.g. werkzeug) could break MoinMoin when being used with the version of
werkzeug packaged for Debian stable (Buster).
In this case, my attempt would be futile, anyway.

I would appreciate any hints, how I could test the changes in an
environment using the Debian package of MoinMoin.
(but maybe this is just not feasible ...)

Cheers,
Lars


More information about the moin-user mailing list